[traceback] TypeError: relative imports require the 'package' argument

RESOLVED FIXED

Status

RESOLVED FIXED
5 years ago
2 years ago

People

(Reporter: stephend, Unassigned)

Tracking

Details

(Whiteboard: [fuzzer])

(Reporter)

Description

5 years ago
See https://errormill.mozilla.org/webtools/socorro-stage/group/90218/.

POSTing, while unauthenticated, to https://crash-stats.allizom.org/browserid/mozilla/, resulted in:

TypeError: relative imports require the 'package' argument

Stacktrace (most recent call last):

  File "django/core/handlers/base.py", line 111, in get_response
    response = callback(request, *callback_args, **callback_kwargs)
  File "django/views/decorators/http.py", line 41, in inner
    return func(request, *args, **kwargs)
  File "crashstats/auth/views.py", line 152, in mozilla_browserid_verify
    return redirect(goto_url)
  File "django/shortcuts/__init__.py", line 75, in redirect
    return redirect_class(urlresolvers.reverse(to, args=args, kwargs=kwargs))
  File "django/core/urlresolvers.py", line 476, in reverse
    return iri_to_uri(resolver._reverse_with_prefix(view, prefix, *args, **kwargs))
  File "django/core/urlresolvers.py", line 360, in _reverse_with_prefix
    lookup_view = get_callable(lookup_view, True)
  File "django/utils/functional.py", line 27, in wrapper
    result = func(*args)
  File "django/core/urlresolvers.py", line 92, in get_callable
    lookup_view = getattr(import_module(mod_name), func_name)
  File "django/utils/importlib.py", line 28, in import_module
    raise TypeError("relative imports require the 'package' argument")
(Reporter)

Updated

5 years ago
Whiteboard: [fuzzer]
No longer the case.
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → FIXED
(Assignee)

Updated

2 years ago
Product: Socorro → Socorro Graveyard
You need to log in before you can comment on or make changes to this bug.